List volumes
curl --request GET \
--url https://api.aireserve.com/v1/gpu/volumes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/volumes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"dataCenterId": "<string>",
"sizeGb": 123,
"status": "requested",
"createdAt": "2023-11-07T05:31:56Z",
"attachedPodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hourlyRateUsd": "<string>",
"paidThroughAt": "2023-11-07T05:31:56Z",
"delinquency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"unpaidAmountUsd": "<string>",
"graceEndsAt": "2023-11-07T05:31:56Z"
}
}
],
"nextCursor": "<string>"
}GPU Compute
List volumes
Returns all network volumes owned by your organization. Response shape: { data: ComputeVolume[], nextCursor?: string }. Requires compute read access or higher.
GET
/
v1
/
gpu
/
volumes
List volumes
curl --request GET \
--url https://api.aireserve.com/v1/gpu/volumes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/volumes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"dataCenterId": "<string>",
"sizeGb": 123,
"status": "requested",
"createdAt": "2023-11-07T05:31:56Z",
"attachedPodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hourlyRateUsd": "<string>",
"paidThroughAt": "2023-11-07T05:31:56Z",
"delinquency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"unpaidAmountUsd": "<string>",
"graceEndsAt": "2023-11-07T05:31:56Z"
}
}
],
"nextCursor": "<string>"
}Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).